For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
  • DAFpay
  • Disbursements
      • GETList disbursements
      • POSTCreate a disbursement
      • POSTCreate multiple disbursements
      • GETGet a disbursement
      • POSTApprove a disbursement
      • POSTApprove multiple disbursements
      • POSTCancel a pending disbursement
      • POSTStop payment for a disbursement
      • POSTSandbox: Complete a disbursement
      • POSTSandbox: Fail a disbursement
  • Gift Processing
LogoLogo
Contact usLogin
DisbursementsDisbursements

List disbursements

GET
/v1/disbursements
GET
/v1/disbursements
$curl -G https://api.givechariot.com/v1/disbursements \
> -H "Authorization: Bearer <token>" \
> -d organization_id=org_01j8rs605a4gctmbm58d87mvsj
1{
2 "results": [
3 {
4 "id": "disbursement_01jpjen1s23s29kkmnjsb6fzga",
5 "organization_id": "org_01jpjenf5q6cawy43yxfcrxhct",
6 "program_id": "program_01jpjenf5q6cawy43yxfcrxhct",
7 "amount": 10000,
8 "organization": {
9 "id": "org_01j8rs605a4gctmbm58d87mvsj",
10 "ein": "123456789",
11 "name": "American Red Cross",
12 "parent_organization_id": "org_01j8rs605a4gctmbm58d87mvsk",
13 "physical_address": {
14 "city": "New York",
15 "country": "US",
16 "line1": "123 Main St.",
17 "postal_code": "12345",
18 "state": "NY",
19 "line2": "string"
20 },
21 "classification": {
22 "group_exemption_number": "string",
23 "subsection_code": {
24 "code": 1,
25 "name": "UNCONDITIONAL",
26 "description": "Unconditional Exemption"
27 },
28 "filing_requirement_code": {
29 "code": 1,
30 "name": "UNCONDITIONAL",
31 "description": "Unconditional Exemption"
32 },
33 "foundation_code": {
34 "code": 1,
35 "name": "UNCONDITIONAL",
36 "description": "Unconditional Exemption"
37 },
38 "affiliation_code": {
39 "code": 1,
40 "name": "UNCONDITIONAL",
41 "description": "Unconditional Exemption"
42 },
43 "organization_code": {
44 "code": 1,
45 "name": "UNCONDITIONAL",
46 "description": "Unconditional Exemption"
47 },
48 "exempt_status_code": {
49 "code": 1,
50 "name": "UNCONDITIONAL",
51 "description": "Unconditional Exemption"
52 },
53 "deductibility_code": {
54 "code": 1,
55 "name": "UNCONDITIONAL",
56 "description": "Unconditional Exemption"
57 },
58 "ntee_code": {
59 "code": "A",
60 "description": "Animal Welfare",
61 "parent_code": "A",
62 "parent_description": "Animal Welfare"
63 },
64 "naics_code": {
65 "naics2": "31",
66 "naics2_description": "Manufacturing",
67 "naics4": "3112",
68 "naics4_description": "Grain and Oilseed Milling",
69 "naics6": "311221",
70 "naics6_description": "Wet Corn Milling and Starch Manufacturing"
71 }
72 },
73 "compliance": {
74 "daf_eligible": true,
75 "irs_pub_78": {
76 "compliant": true,
77 "reason": "string",
78 "last_found_at": "2020-01-31T23:00:00Z"
79 },
80 "ofac": {
81 "compliant": true,
82 "reason": "string",
83 "last_found_at": "2020-01-31T23:00:00Z"
84 },
85 "foundation_code": {
86 "compliant": true,
87 "reason": "string",
88 "last_found_at": "2020-01-31T23:00:00Z"
89 },
90 "california_attorney_general_registry": {
91 "compliant": true,
92 "reason": "string",
93 "last_found_at": "2020-01-31T23:00:00Z"
94 },
95 "california_franchise_tax_board": {
96 "compliant": true,
97 "reason": "string",
98 "last_found_at": "2020-01-31T23:00:00Z"
99 }
100 },
101 "mission_statement": "To provide relief to those in need",
102 "web": {
103 "domain": "redcross.org"
104 },
105 "brand": {
106 "icon_url": "string",
107 "logo_url": "string"
108 },
109 "officers": [
110 {
111 "name": "string",
112 "title": "Executive Director"
113 }
114 ],
115 "claimed": true,
116 "incorporation": {
117 "formation_year": "2005",
118 "state": "AZ",
119 "ruling_date": "2020-07"
120 }
121 },
122 "description": "Annual grant to Acme Inc.",
123 "auto_fund": false,
124 "created_at": "2020-01-31T23:00:00Z",
125 "updated_at": "2020-01-31T23:00:00Z",
126 "status": "pending_approval",
127 "cancelation": {
128 "canceled_by": "user@example.com",
129 "canceled_at": "2020-01-31T23:00:00Z"
130 },
131 "approval": {
132 "approved_by": "user@example.com",
133 "approved_at": "2020-01-31T23:00:00Z"
134 },
135 "rejection": {
136 "reason": "insufficient_funds",
137 "rejected_at": "2020-01-31T23:00:00Z"
138 },
139 "verification": {
140 "verified_at": "2020-01-31T23:00:00Z"
141 },
142 "stop": {
143 "stopped_by": "user@example.com",
144 "stopped_at": "2020-01-31T23:00:00Z"
145 },
146 "program_details": {
147 "id": "program_01jpjenf5q6cawy43yxfcrxhct",
148 "name": "Annual Grants"
149 },
150 "transfers": [
151 {
152 "account_transfer": {
153 "transfer_id": "account_transfer_01j8rs605a4gctmbm58d87mvsj",
154 "amount": 10000,
155 "status": "complete",
156 "created_at": "2020-01-31T23:00:00Z",
157 "updated_at": "2020-01-31T23:00:00Z"
158 },
159 "ach_transfer": {
160 "transfer_id": "ach_transfer_01j8rs605a4gctmbm58d87mvsj",
161 "amount": 10000,
162 "status": "initiated",
163 "created_at": "2020-01-31T23:00:00Z",
164 "direction": "credit",
165 "standard_entry_class_code": "corporate_credit_or_debit",
166 "company_entry_description": "Disbursement to nonprofit",
167 "trace_number": "012345678901234",
168 "effective_date": "2020-01-31T23:00:00Z",
169 "submitted_at": "2020-01-31T23:00:00Z",
170 "settled_at": "2020-07-12 15:00:00.000",
171 "rejected_at": "2020-07-12 15:00:00.000",
172 "returned_at": "2020-07-12 15:00:00.000",
173 "updated_at": "2020-01-31T23:00:00Z"
174 },
175 "check_transfer": {
176 "transfer_id": "check_transfer_01j8rs605a4gctmbm58d87mvsj",
177 "amount": 10000,
178 "status": "issued",
179 "memo": "Disbursement to nonprofit",
180 "recipient_name": "Charity Good",
181 "mailing_address": {
182 "city": "New York",
183 "country": "US",
184 "line1": "123 Main St.",
185 "postal_code": "12345",
186 "state": "NY",
187 "line2": "Suite 2504"
188 },
189 "created_at": "2020-01-31T23:00:00Z",
190 "note": "Please deposit promptly",
191 "check_number": "123456789",
192 "bank_of_first_deposit_routing_number": "021000089",
193 "postal_tracking_updates": [
194 {
195 "id": 1,
196 "event_type": "in_transit",
197 "created_at": "2020-01-31T23:00:00Z"
198 }
199 ],
200 "submitted_at": "2020-01-31T23:00:00Z",
201 "canceled_at": "2020-01-31T23:00:00Z",
202 "stopped_at": "2020-01-31T23:00:00Z",
203 "deposited_at": "2020-01-31T23:00:00Z",
204 "updated_at": "2020-01-31T23:00:00Z"
205 },
206 "real_time_payments_transfer": {
207 "transfer_id": "real_time_payments_transfer_01j8rs605a4gctmbm58d87mvsj",
208 "amount": 10000,
209 "status": "complete",
210 "creditor_name": "Acme Inc.",
211 "remittance_information": "Real-Time Payment: Acme Inc.",
212 "created_at": "2020-01-31T23:00:00Z",
213 "updated_at": "2020-01-31T23:00:00Z",
214 "transaction_identification": "20260101101050001T1BTEST01234557890",
215 "submitted_at": "2020-01-31T23:00:00Z",
216 "acknowledged_at": "2020-01-31T23:00:05Z",
217 "rejected_at": "2020-01-31T23:00:05Z"
218 }
219 }
220 ],
221 "transactions": [
222 {
223 "amount": 10000,
224 "net_amount": 9500,
225 "type": "donor_advised_fund_grant",
226 "id": "txn_1LaXpKGUcADgqoEMl0Cx0Ygg",
227 "fee_amount": 500,
228 "description": "Disbursement to nonprofit",
229 "donor_advised_fund_grant": {
230 "grant_id": "grant_1234567890",
231 "organization_name": "Vanguard Charitable",
232 "fund_name": "John Doe Fund",
233 "purpose": "General Operating Support",
234 "note": "This grant is for the general operating support of the organization.",
235 "donors": [
236 {
237 "full_name": "John Doe",
238 "first_name": "John",
239 "last_name": "Doe",
240 "email": "bob@me.com",
241 "phone": "415-555-1212",
242 "address": {
243 "city": "New York",
244 "country": "US",
245 "line1": "123 Main St.",
246 "postal_code": "12345",
247 "state": "NY",
248 "line2": "string"
249 }
250 }
251 ]
252 },
253 "created_at": "2020-01-31T23:00:00Z",
254 "updated_at": "2020-01-31T23:00:00Z",
255 "metadata": {}
256 }
257 ]
258 }
259 ],
260 "next_page_token": "string"
261}
Returns a list of disbursements.
Was this page helpful?
Previous

Create a disbursement

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

organization_idstringOptional
The unique identifier for the organization
page_limitintegerOptional

Limit the size of the list that is returned. The default (and maximum) is 100 objects.

next_page_tokenstringOptional
A token to use to retrieve the next page of results. This is useful for paginating over many pages of results. If set, all other arguments are expected to be kept the same as previous calls and the value of this field should be from the nextPageToken in the previous response.
includesstringOptional

A comma separated list of fields to include in the response. Possible values include:

  • organization: Include the organization object in the response.

Response

The response for Disbursements.list
resultslist of objects
next_page_tokenstring

A cursor token to use to retrieve the next page of results by making another API call to the same endpoint with the same parameters (only changing the pageToken). If specified, then more results exist on the server that were not returned, otherwise no more results exist on the server.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error